testing::EmptyTestEventListener Class Reference

`#include <gtest.h>`

Inheritance diagram for testing::EmptyTestEventListener:

## Public Member Functions

void | OnTestProgramStart (const UnitTest &) override
void | OnTestIterationStart (const UnitTest &, int) override
void | OnEnvironmentsSetUpStart (const UnitTest &) override
void | OnEnvironmentsSetUpEnd (const UnitTest &) override
void | OnTestSuiteStart (const TestSuite &) override
void | OnTestCaseStart (const TestCase &tc) override
void | OnTestStart (const TestInfo &) override
void | OnTestPartResult (const TestPartResult &) override
void | OnTestEnd (const TestInfo &) override
void | OnTestSuiteEnd (const TestSuite &) override
void | OnTestCaseEnd (const TestCase &tc) override
void | OnEnvironmentsTearDownStart (const UnitTest &) override
void | OnEnvironmentsTearDownEnd (const UnitTest &) override
void | OnTestIterationEnd (const UnitTest &, int) override
void | OnTestProgramEnd (const UnitTest &) override
Public Member Functions inherited from testing::TestEventListener
virtual | ~TestEventListener ()

## Detailed Description

Definition at line 15734 of file gtest.h.

## Member Function Documentation

## OnEnvironmentsSetUpEnd()

void testing::EmptyTestEventListener::OnEnvironmentsSetUpEnd | ( | const UnitTest & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15740 of file gtest.h.

## OnEnvironmentsSetUpStart()

void testing::EmptyTestEventListener::OnEnvironmentsSetUpStart | ( | const UnitTest & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15739 of file gtest.h.

## OnEnvironmentsTearDownEnd()

void testing::EmptyTestEventListener::OnEnvironmentsTearDownEnd | ( | const UnitTest & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15756 of file gtest.h.

## OnEnvironmentsTearDownStart()

void testing::EmptyTestEventListener::OnEnvironmentsTearDownStart | ( | const UnitTest & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15755 of file gtest.h.

## OnTestCaseEnd()

void testing::EmptyTestEventListener::OnTestCaseEnd | ( | const TestCase & | tc | ) |

inlineoverridevirtual

Reimplemented from testing::TestEventListener.

Definition at line 15752 of file gtest.h.

## OnTestCaseStart()

void testing::EmptyTestEventListener::OnTestCaseStart | ( | const TestCase & | tc | ) |

inlineoverridevirtual

Reimplemented from testing::TestEventListener.

Definition at line 15744 of file gtest.h.

## OnTestEnd()

void testing::EmptyTestEventListener::OnTestEnd | ( | const TestInfo & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15749 of file gtest.h.

## OnTestIterationEnd()

void testing::EmptyTestEventListener::OnTestIterationEnd | ( | const UnitTest & | ,
|  | int |
| ) |  |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15757 of file gtest.h.

## OnTestIterationStart()

void testing::EmptyTestEventListener::OnTestIterationStart | ( | const UnitTest & | ,
|  | int |
| ) |  |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15737 of file gtest.h.

## OnTestPartResult()

void testing::EmptyTestEventListener::OnTestPartResult | ( | const TestPartResult & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15748 of file gtest.h.

## OnTestProgramEnd()

void testing::EmptyTestEventListener::OnTestProgramEnd | ( | const UnitTest & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15759 of file gtest.h.

## OnTestProgramStart()

void testing::EmptyTestEventListener::OnTestProgramStart | ( | const UnitTest & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15736 of file gtest.h.

## OnTestStart()

void testing::EmptyTestEventListener::OnTestStart | ( | const TestInfo & |  | ) |

inlineoverridevirtual

Implements testing::TestEventListener.

Definition at line 15747 of file gtest.h.

## OnTestSuiteEnd()

void testing::EmptyTestEventListener::OnTestSuiteEnd | ( | const TestSuite & |  | ) |

inlineoverridevirtual

Reimplemented from testing::TestEventListener.

Definition at line 15750 of file gtest.h.

## OnTestSuiteStart()

void testing::EmptyTestEventListener::OnTestSuiteStart | ( | const TestSuite & |  | ) |

inlineoverridevirtual

Reimplemented from testing::TestEventListener.

Definition at line 15741 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h